# include Interface
source mcPolymerInterface.tcl
source Hamielec.tcl

# define low molecular species
Monomer Styrene

Species I
Species I#
Species C
Species CX


# define macromolecules
SpeciesMacro P#
SpeciesMacroD D
SpeciesMacro Dr

Concentration Styrene 8.725
Concentration I 8.725e-2
Concentration C 8.725e-2
 
# debug function
ListAllSpecies  


# reaction coefficients

# arrhenius A EA/R 
RateConstantArrhenius kp 4.265800e+07 3.910000e+03
RateConstantArrhenius km 2.31e+6 6.377e+3
RateConstantArrhenius kt 2.120000e+09 7.530000e+02
RateConstantArrhenius kth 2.200000e+05 1.381000e+04

RateConstant ka 4.5e-1
RateConstant kd 1.1e7


# debug function
ListAllRateConstants


# Styrene polymerization
ThermalInitiation Styrene + Styrene + Styrene --> P# + P# kth 
Propagation P# + Styrene --> P# kp 
Termination P# + P# --> D kt
Transfer2monomer P# + Styrene --> D + P# km
Initiation I# + Styrene --> P# kp

# special ATRP
Elemental_2E2P I + C --> I# + CX ka
Elemental_2E2P I# + CX --> I + C kd
Initiation I# + Styrene --> P# kp

Transfer_PL-PL P# + CX --> Dr + C kd
Transfer_PL-PL Dr + C --> P# + CX ka

puts "call listReactions"
# Interface function
ListAllReactions

# set reaction temperature 
Temperature 110.0

# set frequency for writing intermediate results 
# and update rate coefficients by the Hamielec model
Setdt 60.0

# set mode of storage: histogram
SetCalculateMacromolecules on

# activate Hamielec model
SetUseHamielecModel on

# define number of molecules for simulation 1e8..1e10
InitSimulation 1e8

# start simulation to overall reaction time
Simulation 3600
