proc hamielecUpdateTermination {conversion} {
	global Constant
	global Species	
	global Temperature
	global umrechnung
	
	set tempK [expr $Temperature+273.15]	
	set k0 $Constant(3,k0)
	set ea $Constant(3,ea)
	set kt0 [expr $k0*exp(-1.0*$ea/$tempK)]
				
	set a1 [expr 2.57-5.05E-3*$tempK]
	set a2 [expr 9.56-1.76E-2*$tempK]
	set a3 [expr -3.03+7.85E-3*$tempK]
	
	set f [expr exp(-2*($a1*$conversion+$a2*$conversion*$conversion+$a3*$conversion*$conversion*$conversion))]
	# debug code
	# puts "conversion: $conversion\tf: $f"
	
	set kt1 [expr $f*$kt0]
	# debug code
	# puts "k:\t$kt1"
	for {set j 2} {$j<=$Constant(3,order)} {incr j} {
		set kt1 [expr $kt1*$umrechnung]
	}
	set kt1 [expr $kt1*$Constant(3,cf)]
	return $kt1
}
proc hamielecUpdateTransfer2Monomer {conversion} {
	global Constant
	global Species	
	global Temperature
	global umrechnung
	
	set tempK [expr $Temperature+273.15]

	set k0 $Constant(1,k0)
	set ea $Constant(1,ea)
	set kp [expr $k0*exp(-1.0*$ea/$tempK)]
	
	set k0 $Constant(2,k0)
	set ea $Constant(2,ea)
	set km0 [expr $k0*exp(-1.0*$ea/$tempK)]
	
	set b1 [expr -1.013e-3*log10((473.12-$tempK)/202.5)]
	set km11 [expr $km0+$kp*$b1*$conversion]
	set f [expr $km11/$km0]
	# debug code
	# puts "$conversion:\t$f"
	set km111 [expr $f*$km0]
	# debug code
	# puts $km111
	for {set j 2} {$j<=$Constant(2,order)} {incr j} {
		set km111 [expr $km111*$umrechnung]
	}
	set km111 [expr $km111*$Constant(2,cf)]
	return $km111
}
proc SetUseHamielecModel {shamielec} {
	global simulationControl
	if {$shamielec=="off"} {
		set simulationControl(hamielec) 0
	} else {
		set simulationControl(hamielec) 1
	} 
	puts "hamielec model initialized"
	puts ""
	return 1
}
proc hamielecModel {conversionstyrene} {
	set ktMC [hamielecUpdateTermination $conversionstyrene]
	setk 3 $ktMC
	# Option: hamielec model - transfer to monomer
	# set kmMC [hamielecUpdateTransfer2Monomer $conversionstyrene]
	# setk 2 $kmMC
}

